version conflicts???

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

version conflicts???

Rob Healey
Hello:

Could someone explain why the difference in the two versions?  If DistUtils2 is the new improved, why does it have a lower version numbers???

>>> import distutils
>>> distutils.__version__
'2.7.2'
>>> import distutils2
>>> distutils2.__version__
'1.0a3'

Thank you for your help...

--
Sincerely yours,
Rob G. Healey



_______________________________________________
Distutils-SIG maillist  -  [hidden email]
http://mail.python.org/mailman/listinfo/distutils-sig
Reply | Threaded
Open this post in threaded view
|

Re: version conflicts???

Lennart Regebro-2
On Tue, Mar 27, 2012 at 06:40, Rob Healey <[hidden email]> wrote:
> Hello:
>
> Could someone explain why the difference in the two versions?  If DistUtils2
> is the new improved, why does it have a lower version numbers???

It's called distutils2 to clarify that it is a new module. Why would
not the versioning restart from 1.0? They are not compatible, this is
the new way of distributing. It's a replacement, but not a drop in
replacement.

//Lennart
_______________________________________________
Distutils-SIG maillist  -  [hidden email]
http://mail.python.org/mailman/listinfo/distutils-sig